//DEFINE TARGET API URL
const url = "https://www.emhlcm.icu/affiliate/api/noea";

function send(e, formId) {
  if (formId == null) formId = 1;

  //prevent form default behaviour
  e.preventDefault();

  // var nameIdValid = validateField(document.getElementById("nameId" + formId));
  // var phoneIdValid = validateField(document.getElementById("phoneId" + formId));
  // if (!nameIdValid || !phoneIdValid) return;

  //get price list
  var list = document.getElementById("priceListId" + formId);

  //create JSON object
  var object = {
    name: document.getElementById("nameId" + formId).value,
    phone: document.getElementById("phoneId" + formId).value,
    channelId: document.getElementById("channelId").value,
    productId: document.getElementById("productId").value,
    amount: parseInt(list.options[list.selectedIndex].text.split(" ")[0]),
    price: parseFloat(list.options[list.selectedIndex].text.split(" ")[3]),
  };

  //create xhr element
  var xhr = new XMLHttpRequest();

  //open a POST request to the url
  xhr.open("POST", url, true);

  //set request header
  xhr.setRequestHeader("Content-Type", "application/json");

  //send data to api
  xhr.send(JSON.stringify(object));

  //get status message from API
  xhr.onreadystatechange = function () {
    if (xhr.readyState == XMLHttpRequest.DONE) {
      //document.getElementById("messageId").innerHTML = xhr.responseText;
      location.href = "https://www.topmediacenter.com/thnx.html";
    }
  };
}

document.addEventListener("DOMContentLoaded", function (event) {
  //create recieve url
  var recieveUrl = url + "/" + document.getElementById("productId").value;
  //create xhr element
  var xhr = new XMLHttpRequest();

  //open a GET request to the recieve url
  xhr.open("GET", recieveUrl, true);

  //set request header
  xhr.setRequestHeader("Content-Type", "application/json");

  //send call
  xhr.send();

  //fill the price list
  xhr.onreadystatechange = function () {
    if (xhr.readyState == XMLHttpRequest.DONE) {
      var numberOfForms = document.getElementById("numberOfForms").value;
      for (var i = 1; i <= numberOfForms; i++) {
        JSON.parse(this.responseText).forEach((price) => {
          var option = document.createElement("option");
          option.text = price;
          var lst = document.getElementById("priceListId" + i);
          lst.add(option);
        });
      }
    }
  };

  //controls
  var slick = 0;
  if (innerWidth < 480) {
    if (!slick) {
      $(".slides").slick({
        arrows: true,
        slidesToShow: 1,
        slidesToScroll: 1,
        swipeToSlide: true,
        infinite: true,
      });
      slick = 1;
    }
  }
  $(window).resize(function () {
    if (innerWidth < 480) {
      if (!slick) {
        $(".slides").slick({
          arrows: true,
          slidesToShow: 1,
          slidesToScroll: 1,
          swipeToSlide: true,
          infinite: true,
        });
        slick = 1;
      }
    } else {
      if (slick) {
        $(".slides").slick("unslick");
        slick = 0;
      }
    }
  });

  var elem = $(".numerok");
  var count = Number(elem.eq(0).text());
  var time = setTimeout(function t() {
    count--;
    elem.text(count);
    if (count > 4) time = setTimeout(t, Random(1, 75) * 1000);
  }, Random(5, 10) * 1000);
});

function validateField(e) {
  return instantValidation(document.getElementById(e.id));
}

function instantValidation(field) {
  var invalid =
    field.getAttribute("pattern") &&
    field.value &&
    new RegExp(field.getAttribute("pattern")).test(field.value);
  if (!invalid) {
    field.classList.remove("is-valid");
    field.classList.add("is-invalid");
  } else {
    field.classList.remove("is-invalid");
    field.classList.add("is-valid");
  }

  return invalid;
}

function changePriceDivText(field) {
  var list = document.getElementById(field.id);
  var div = document.getElementById(field.id + "_message");

  var amount = list.options[list.selectedIndex].text.split(" ")[0];
  var price = list.options[list.selectedIndex].text.split(" ")[3];

  if (amount == 1) div.innerText = "1 PAKOVANJE = " + price + " KM";
  else div.innerText = amount + " PAKOVANJA = " + price + " KM";
}

function Random(min, max) {
  return Math.floor(Math.random() * (max - min + 1)) + min;
}
